pro constat,init,numim,arr

;2 subimages (umbra, photosph.) will be extracted and statistics computed:
;  min,max,mean,contr=stdev/mean for each subimage.
;init - initial image no.
;numim - number of images to be processed
;arr - resulting array: im.no,min1,max1,mean1,contr1,min2,max2,mean2,contr2.
;x1,y1,x2,y2 = lower left corner coordinates of two selected boxes.

;parametros de entrada a modificar con editor ............................

n=700       ;dimension en x
m=500       ;dimension en y
siz1=128    ;size of subimages - photosphere
siz2=32     ;                  - umbra
x1=540      ;lower left corners of subimages
y1=350
x2=210
y2=213

st1='/home1/msobotka/lap93/grand/spot'  ; *** CHANGE PATH ***
st2='.dat'
; ........................................................................

im1=intarr(n,m,/nozero)
arr=fltarr(9,numim)
     
FOR i = 0,numim-1 DO BEGIN
   seq=strtrim(i+init,1)
   print,'Now reading image:'
   print,st1+seq+st2
   openr,1,st1+seq+st2
   readu,1,im1
   close,1
   dev1=stdev(im1(x1:x1+siz1-1,y1:y1+siz1-1),mea1)
   dev2=stdev(im1(x2:x2+siz2-1,y2:y2+siz2-1),mea2)
   ma1=max(im1(x1:x1+siz1-1,y1:y1+siz1-1))
   ma2=max(im1(x2:x2+siz2-1,y2:y2+siz2-1))
   mi1=min(im1(x1:x1+siz1-1,y1:y1+siz1-1))
   mi2=min(im1(x2:x2+siz2-1,y2:y2+siz2-1))
   arr(0,i)=i+init
   arr(1,i)=mi1
   arr(2,i)=ma1
   arr(3,i)=mea1
   arr(4,i)=dev1/mea1
   arr(5,i)=mi2
   arr(6,i)=ma2
   arr(7,i)=mea2
   arr(8,i)=dev2/mea2
ENDFOR

end
