pro esta_interp,im,n,perc

  nx=(size(im))(1) & ny=(size(im))(2) & nx2=nx/2 & ny2=ny/2

; Contrae la imagen de entrada en un factor n

  dimx=fix(nx/n) & dimy=fix(ny/n)
  imn=fltarr(dimx,dimy)
  for i=0,dimx-1 do for j=0,dimy-1 do imn(i,j)=im(i*n,j*n)

; Interpola

  imi=four_interp(imn,n,perc)
  help,imi

; Estadistica de la comparacion

  window,3,xs=nx,ys=ny,ypos=300
  tvscl,im
  window,4,xs=dimx,ys=dimy
  tvscl,imn
  window,5,xs=nx,ys=ny,ypos=300
  tvscl,imi

  ll=perc*nx/100.
  window,0,xs=1100,ys=500
  plot,imi(ll:nx-ll-1,ny2),yrange=[min(im),max(im)],$
   /xst,/yst,title='oplot de una fila en la imagen interp.(cont) y orig. (+)'
  oplot,im(ll:nx-ll-1,ny2),psym=1
  print,'Press return to continue'
  pause
  print,''
  print,'Estadistica de la imagen original' & statist,im
  print,''
  print,'Estadist.de la dif.en la zona no afectada por la apodiz. Una sola fila'
  dif=im(ll:nx-ll-1,ny2)-imi(ll:nx-ll-1,ny2)
  statist,dif
  plot,dif,yrange=[-6,6],/xst,/yst,$
       title='una fila de la diferencia imagen interp. - imagen original'

end

