; IDL program to make a PS figure vd-lif.ps - 
;  - scatter diagram of velocity vs. lifetime
;  and Deff vs. lifetime (P4)

restore,'resp4b'

set_plot,'ps'
device,filename='vd-lif.ps',xsize=14,ysize=20,yoffset=7
!p.multi=[0,0,2,0,0]

vel=resp4b(7,*)*1000
plot_oi,resp4b(0,*),vel, $
    psym=4,symsize=0.2,xra=[0.8,100],/xst,yra=[-50,1050],/yst, $
    xtitle='Lifetime (minutes)', ytitle='Velocity magnitude (m/s)', $
    charsize=1.2,thick=2,xthick=2,ythick=2,charthick=2

plot_oi,resp4b(0,*),resp4b(10,*), $
    psym=4,symsize=0.2,xra=[0.8,100],/xst,yra=[0.2,0.6],/yst, $
    xtitle='Lifetime (minutes)', ytitle='Average d!Deff!N (arcsec)', $
    charsize=1.2,thick=2,xthick=2,ythick=2,charthick=2

device,/close
!p.multi=0
set_plot,'x'

end
