PRO showfeamov,mov1,trim1a,id,movi

; To show a feature identified by "ID" in a short movie of real images

sx=(size(mov1))(1)
nima=(size(mov1))(3)
list=where(trim1a(0,*,id))	;list of frames where the feature is present
pos=trim1a(1,list,id)		;list of 1-D positions
x=pos mod sx
y=fix(pos/sx)

mov=mov1(*,*,list)
n=n_elements(list)-1
print,'Frames (from, to):',list(0),list(n)

for i=0,n do mov(x(i):x(i)+1,y(i):y(i)+1,i)=0

case 1 of
list(0) gt 1 and list(n) lt nima-2: begin
	movi=mov1(*,*,list(0)-2:list(n)+2)
	movi(0,0,2)=mov
	end
list(0) le 1 and list(n) lt nima-2: begin
	movi=mov1(*,*,list(0):list(n)+2)
	movi(0,0,0)=mov
	end
list(0) gt 1 and list(n) ge nima-2: begin
	movi=mov1(*,*,list(0)-2:list(n))
	movi(0,0,2)=mov
	end
else:   movi= mov
endcase

animate,movi

END
