PRO FobsPB
;
; Figure; scatter plot of Iud vs. Idb, spots are distinguished by symbols.
;
list=['s_16_sml','s_16_big','s_19_l','s_19_r','s_20']
symb=[1,2,4,4,6]

set_plot,'ps'
device,file='FobsPB.ps',xsiz=12,ysiz=20,yoffs=5,encapsulated=0
!p.multi=[0,1,2]

restore,list(0)
plot,tug(4,*)/1.e4,tug(2,*)/1.e4,psym=symb(0),xra=[0,0.7],yra=[0,1.3], $
  /xst,/yst,xtitle='I!Udb!N',ytitle='I',symsize=0.5
xyouts,0.45,0.1,'!4k!3 = 451 nm'

for i=1,4 do begin
  restore,list(i)
  oplot,tug(4,*)/1.e4,tug(2,*)/1.e4,psym=symb(i),symsize=0.5
endfor

restore,list(0)
plot,tuc(4,*)/1.e4,tuc(2,*)/1.e4,psym=symb(0),xra=[0,0.7],yra=[0,1.3], $
  /xst,/yst,xtitle='I!Udb!N',ytitle='I',symsize=0.5
xyouts,0.45,0.1,'!4k!3 = 602 nm'

for i=1,4 do begin
  restore,list(i)
  oplot,tuc(4,*)/1.e4,tuc(2,*)/1.e4,psym=symb(i),symsize=0.5
endfor

!p.multi=0
device,/close
set_plot,'x'

END



