PRO ROTTEOR,Y,M,D,HOR,MIN,SEG,DELTAT,N

;PROCEDURE PARA CALCULO Y PLOT DE LOS ANGULOS TEORICOS PARA CORREGIR LA 
;ROTACION DE LA IMAGEN DURANTE UN CIERTO PERIODO DE TIEMPO, EN EL 
;TELESCOPIO SVST DE LA PALMA.
;LOS ANGULOS QUE RESULTAN LLEVAN EL SIGNO APROPIADO PARA DES-RROTAR LAS 
;IMAGENES.
;EL RESULTADO LO COMPARA EN UN PLOT CON LOS RESULTADOS OBTENIDOS CON
;LA PROCEDURE ROTALIGN.

;Y = AO (P.EJ.93)
;M = MES (P.EJ. 6 SI ES JUNIO)
;D = DIA DEL MES
;HOR,MIN,SEG = TIEMPO UNIVERSAL EN QUE SE INICIA EL MUESTREO: HORAS, MINUTOS 
;              Y SEGUNDOS.
;DELTAT = INTERVALO TEMPORAL DE MUESTREO (SEGUNDOS)
;N = NUMERO DE MUESTRAS.

T=HOR*3600.+MIN*60.+SEG+DELTAT*FINDGEN(N)
ANGLE=LPANGLES(Y,M,D,T)   ;ANGULO EN RADIANES
;set_plot,'ps'
;device,xsize=15,ysize=15,/landscape
WINDOW,2
PLOT,ANGLE*!RADEG ;EL ANGULO DE SALIDA EN RADIANES LO CONVIERTE A GRADOS.
print, angle*!radeg
end
 
;plot de la cuarta columna (angulo de rotacion) del fichero creado por la
;procedure lp2 que corrige de shift y rotacion una serie de n imagenes
;utilizando la procedure de Roberto ROTALIGN.
;x=fltarr(5,N)
;res='/scratch/mvasvst/res'
;openr,1,res
;readf,1,x
;close,1
;oplot,x(3,*)   ;angulo en grados
;device,/close
;end

